javax.xml.crypto

## Class OctetStreamData

- java.lang.Object
- - javax.xml.crypto.OctetStreamData

- All Implemented Interfaces:
    Data

      public class OctetStreamData
      extends Object
      implements Data

  A representation of a `Data` type containing an octet stream.
  Since:
    1.6

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OctetStreamData(InputStream octetStream)` Creates a new `OctetStreamData`.
    `OctetStreamData(InputStream octetStream, String uri, String mimeType)` Creates a new `OctetStreamData`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMimeType()` Returns the MIME type associated with the data object represented by this `OctetStreamData`.
    `InputStream` | `getOctetStream()` Returns the input stream of this `OctetStreamData`.
    `String` | `getURI()` Returns the URI String identifying the data object represented by this `OctetStreamData`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OctetStreamData

          public OctetStreamData(InputStream octetStream)

      Creates a new `OctetStreamData`.
      Parameters:
        `octetStream` - the input stream containing the octets
      Throws:
        `NullPointerException` - if `octetStream` is `null`

    - #### OctetStreamData

          public OctetStreamData(InputStream octetStream,
                         String uri,
                         String mimeType)

      Creates a new `OctetStreamData`.
      Parameters:
        `octetStream` - the input stream containing the octets
        `uri` - the URI String identifying the data object (may be `null`)
        `mimeType` - the MIME type associated with the data object (may be `null`)
      Throws:
        `NullPointerException` - if `octetStream` is `null`

  - ### Method Detail

    - #### getOctetStream

          public InputStream getOctetStream()

      Returns the input stream of this `OctetStreamData`.
      Returns:
        the input stream of this `OctetStreamData`.

    - #### getURI

          public String getURI()

      Returns the URI String identifying the data object represented by this `OctetStreamData`.
      Returns:
        the URI String or `null` if not applicable

    - #### getMimeType

          public String getMimeType()

      Returns the MIME type associated with the data object represented by this `OctetStreamData`.
      Returns:
        the MIME type or `null` if not applicable

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.